<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
 public function up()
{
    Schema::table('borrow_transactions', function (Blueprint $table) {
        if (!Schema::hasColumn('borrow_transactions', 'is_late')) {
            $table->boolean('is_late')->default(false);
        }
    });
}

public function down()
{
    Schema::table('borrow_transactions', function (Blueprint $table) {
        if (Schema::hasColumn('borrow_transactions', 'is_late')) {
            $table->dropColumn('is_late');
        }
    });
}

};

